DOM::HTMLLegendElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLLegendElement Class Reference

Provides a caption for a `FIELDSET` grouping. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLLegendElement:

[legend]
Collaboration diagram for DOM::HTMLLegendElement:

[legend]
List of all members.

## Public Member Functions
| HTMLLegendElement (const HTMLLegendElement &other)
| HTMLLegendElement (const Node &other)
HTMLLegendElement & | operator= (const HTMLLegendElement &other)
HTMLLegendElement & | operator= (const Node &other)
HTMLFormElement | form () const
| This class or method is obsolete, it is provided for compatibility only..
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
DOMString | align () const
| Text alignment relative to `FIELDSET` .
void | setAlign (const DOMString &)
| see align
## Protected Member Functions
| HTMLLegendElement (HTMLLegendElementImpl *impl)

## Detailed Description

Provides a caption for a `FIELDSET` grouping.

See the LEGEND element definition in HTML 4.0.

Definition at line 696 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLLegendElement::form | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only.. ### KDE 4.0: remove Reimplemented from DOM::Element. Definition at line 648 of file html_form.cpp.

DOMString HTMLLegendElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 653 of file html_form.cpp.

void HTMLLegendElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 659 of file html_form.cpp.

DOMString HTMLLegendElement::align | ( |  | ) | const

| Text alignment relative to `FIELDSET` . See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 664 of file html_form.cpp.

void HTMLLegendElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 670 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001